<div class="content">
  <div class="spinner" *ngIf="!isLoaded"></div>
  <div *ngIf="isLoaded">
    <form [formGroup]="userForm" *ngIf="user">
      <fieldset>
        <div class="fields">
          <div class="form-group row">
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Email :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="email" name="email" placeholder="email">
                <ul class="myError" *ngIf="userForm.get('email').errors && (userForm.controls.email.dirty || userForm.controls.email.touched)">
                  <li *ngIf="userForm.get('email').errors['required']">
                    <p class="myError">L'email est requise</p>
                  </li>
                  <li *ngIf="userForm.get('email').errors['email']">
                    <p class="myError">Email invalide</p>
                  </li>
                  <li *ngIf="userForm.get('email').errors['maxlength']">
                    <p class="myError">L'email doit avoir au plus 150 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Prénom :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="firstname" name="firstname" placeholder="Prénom">
                <ul class="myError" *ngIf="userForm.get('firstname').errors && (userForm.controls.firstname.dirty || userForm.controls.firstname.touched)">
                  <li *ngIf="userForm.get('firstname').errors['required']">
                    <p class="myError">Prénom requie</p>
                  </li>
                  <li *ngIf="userForm.get('firstname').errors['maxlength']">
                    <p class="myError">Le Prénom doit avoir au plus 50 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12">
              <div class="col-sm-4 input-label">
                Nom :
              </div>
              <div class="col-sm-8">
                <input type="text" formControlName="lastname" name="lastname" placeholder="Nom">
                <ul class="myError" *ngIf="userForm.get('lastname').errors && (userForm.controls.lastname.dirty || userForm.controls.lastname.touched)">
                  <li *ngIf="userForm.get('lastname').errors['required']">
                    <p class="myError">Prenom requie</p>
                  </li>
                  <li *ngIf="userForm.get('lastname').errors['maxlength']">
                    <p class="myError">Le nom doit avoir au plus 1000 caractères
                      <p>
                  </li>
                </ul>
              </div>
            </div>
            <div class="text-center">
              <button class="myCustomButton" (click)="onAnnuler()">Init</button>
              <button [disabled]="!userForm.valid" class="myCustomButton primary" (click)="onSubmit()">Sauvgarder</button>
            </div>
          </div>
        </div>
      </fieldset>
    </form>
  </div>
</div>